# Interface NodeSelectionListener

All Known Implementing Classes:
  `ZooInspectorNodeViewersPanel`

public interface NodeSelectionListener
An interface to be implented by any component that needs notification when a new element is selected in the UI JTree representing the set of available ZNodes.

## Method Summary

Modifier and Type
Method
Description
`void`
`nodePathSelected(String nodePath)`

## Method Details

### nodePathSelected

void nodePathSelected(String nodePath)